 #  Copyright   : T-Systems, 2009
 #  Project     : CMI Project
 #  File        : extensions_locale.properties

ItemRevisionAlreadyHasDatasetType=Item Revision {0} already has a dataset of type {1} attached.
ItemRevisionAlreadyHasDatasetName=Item Revision {0} already has a dataset with name {1} attached.
ItemRevisionAlreadyHasDatasetTypeName=Item Revision {0} already has a dataset of type {1} with name {2} attached.
WrongDatasetType=Wrong dataset type.
WrongId=Wrong id used as argument. 
CMIAddTemp.TITLE=AddTemp from Teamcenter
CMICompare.TITLE=Compare from Teamcenter
CMIInsertFromTeamcenter.TITLE=Insert from Teamcenter
CMIReplaceFromTeamcenter.TITLE=Replace from Teamcenter
CMISaveAs.TITLE=SaveAs from Teamcenter
SendToCatia=Please configure the structure and send it to CATIA.
CompareToCatia=Please send a part or assembly to CATIA for comparison.

DropBOMPartMessageCMIRIIApp=Please drag and drop a BOM Part object into workbench,\nor use the Exporer application and send the selected to CATIA.
DropCATPartMessageCMIRIIApp=Please drag and drop a CATPart object into workbench,\nor use the Exporer application and send the selected to CATIA.
DropCATDrawingMessageCMIRIIApp=Please drag and drop a CATDrawing object into workbench,\nor use the Exporer application and send the selected to CATIA.
DropCgmMessageCMIRIIApp=Please drag and drop a cgm object into workbench,\nor use the Exporer application and send the selected to CATIA.
DropBOMPartMessage=Please define a BOM Part and send it to CATIA. 
DropCATPartMessage=Please define a CATPart and send it to CATIA. 
DropCATDrawingMessage=Please define a CATDrawing and send it to CATIA. 
DropCgmMessage=Please define a cgm and send it to CATIA. 


### Used in CMIPdmAdapter
CannotAttachAuxGeoToBOMGeo=Cannot attach auxiliary geometry to BOM geometry Item {0}.
DatasetAttachedToItem={0} Dataset {1} attached to Item {2}.
UsingAttachedDataset=Using attached Dataset {0} for Item {1}.
DatasetCreated={0} Dataset object {1} created.
DatasetUsed={0} Dataset object {1} used.
DatasetUpdated={0} Dataset object {1} updated.

FileUploaded=File {0} for Dataset {1} uploaded.

ItemCreated={0} object {1} created.
ItemDeleted={0} object {1} deleted.
ItemUpdated={0} object {1} updated.
CreateItemFailed=Create Item failed.
ItemInstanceRemoved=Removed Item instance {0} from Item {1}.

ModelInstanceRemoved=Removed Dataset {0} from Item {1}.
MatrixUpdated=Matrix for {0} updated.
InstanceNameSet=InstanceName for {0} set.
BomRelationCreated=Relation {0} between {1} and {2} created.
DialogCanceled=Create of {0} canceled by user action.

CannotCheckOut_OtherUser=Object cannot be checked out. It is already checked out by {0}.

CheckInFailed=Check in of {0} object {1} failed.
CheckInObject={0} object {1} checked in.
CheckOutFailed=Check out of {0} object {1} failed.
CheckOutFailed_OtherUser=Cannot check out {0} object {1}, because it is already checked out by another user.
CheckOutObject={0} object {1} checked out.
CheckOutFailed_WrongFileId=Cannot check out {0} object {1}, because it was updated in Teamcenter since last CMI RII Read action.
AutomaticCheckOut=Automatically checked out by CMI RII.

ReviseFailed=Revise of {0} object {1} failed.
ReviseFailed_ItemNoWriteAccess=Failed to Revise {0} object {1}. No write access for Item {2}.
ReviseFailed_ItemNotFound=Failed to Revise {0} object {1}. Could not retrieve the parent Item.
UpdateFailed_NoWriteAccess=Failed to update {0} object {1}. No write access.
UpdateFailed_ObjectNotFound=Failed to update {0} object. Object not found.
UpdatePartFailed=Update Part failed:
MissingInputParameter={0}: Missing input parameter.
NotOkInputParameter={0}: Input parameter not ok.
FailedToAddProduct=Failed to add Product.
FailedToCreateModelItem=Failed to create model item.
FailedToCreateCatalog=Failed to create catalog.
FailedToUpdateUDP=Failed to update user defined properties. No write access.
FilePathNotValid=File path is not valid: {0}.
CouldNotGetFileObject=Could not get File Object.
CouldNotGetFileName=Could not get File name.
CouldNotGetMappingDatasetType=Could not get Mapping dataset type.
CouldNotLinkDrawingToPart=Could not link drawing to part: {0}
CouldNotAddObjectToNewstuffFolder=Could not add object to Newstuff Folder: {0}
CouldNotRetrieveItemRevision=Could not retrieve Item Revision for Id='{0}'.
CouldNotRetrieveItemRevision2=Could not retrieve Item Revision.
CouldNotRetrieveDataset=Could not retrieve Dataset for Id='{0}'.
CouldNotRetrieveDataset2=Could not retrieve Dataset.

WrongObject=Wrong object {0}.
UnknownObject=Unknown object {0}.
UnknownType=Unknown type {0}.

FileNameCorrupt=File name corrupt: [{0}].
CannotRetrieveNamedReferenceType=Cannot retrieve Named Reference type from [{0}].
CannotRetrieveNamedReferenceFileName=Cannot retrieve Named Reference file name from [{0}] [{1}].
FileNameFailed=File rename failed from [{0}] to [{1}].
FileDownloadFailed=File download failed for: [{0}].
ParentHasToBeItemRevisionAndModelDatasetInstance=Parent has to be an Item Revision and Model a dataset instance.
UploadFileFailed=Failed to upload file object.
ConstructCacheCgrFileNameFailed=Failed to construct cache cgr file name.
TypeIsNot={0}: Type is not {1}.
CannotGet={0}: Cannot get {1}.
ExpandRelationNotSupported={0}: Expand relation is not supported.
ItemRevisionHasMoreThanOneCgrDatasetSameName=Item Revision has more than than one cgr dataset with the same name.
UnableToDetermineDatasetType=Unable to determine dataset type.
UnableToGetCacheCgrDatasetAtParentObject=Unable to get cache cgr dataset at parent object (Item Revision).
UnableToDetermineDatasetParentObject=Unable to determine dataset parent object (Item Revision).
WrongDatasetType_ExpectedCacheCgrDataset=Wrong dataset type [{0}]. Expected was a cache cgr dataset.
CreatingUploadingCacheCgrFailed=Creating/uploading cache cgr failed: {0}
CreatingUploadingDerivedFilesForDrawingFailed=Creating/uploading derived files for drawing failed: {0}
RemovePartInstanceFailed=Remove Item instance failed. {0}

SynchronizeCanceled=Synchronize canceled by user action.

###   Used in Start Transaction
ReadPseToCatia = Sending data to CATIA
ReadCmeCcToCatia = Sending data to CATIA
ReadCmeMppToCatia = Sending data to CATIA
ReadExplorerToCatia = Sending data to CATIA
ReadToCatia = Sending data to CATIA
GetInfoAttribute = Sending information to CATIA
GetPdmSettings = Sending information to CATIA
GetPdmInfos = Sending information to CATIA
GetInfoForParts = Getting info for parts
CheckIn = Checking in data
CheckOut = Checking out data
Revise = Revising item
UpdateFromCatia = Updating CATIA data
CreateCatPart = Creating geometry
CreateCatDrawing = Creating drawing
CreateCgm = Creating cgm
CreateV4Model = Creating V4 model
ValidateV5Nodes = Validating
UpdateWB = Updating workbench
SaveAsCatPartFromCatia = Initializing SaveAs from CATIA 
SaveAsCatPartV4FromCatia = Initializing SaveAs from CATIA
SaveAsCatDrawingFromCatia = Initializing SaveAs from CATIA
SaveAsCgmFromCatia = Initializing SaveAs from CATIA
CancelFromCatia = Canceling current action
AddTempFromCatia = Initializing AddTemp
CompareFromCatia = Initializing Compare
UsePdmStructureFromCatia = Initializing Use Pdm Structure
GetReferenceInfo = Sending information to CATIA
GetInstanceInfo = Sending information to CATIA
GetMappingFile =  Sending information to CATIA
ProcessMappingFile = Sending information to CATIA
HighlightFromCatia = Highlighting CATIA data 
BrowseFromCatia = Browsing CATIA data 
GetDependencyInfo = Sending information to CATIA
GetDependentFile = Sending data to CATIA
GetCatalogInfo = Sending information to CATIA
GetCatalogFile = Sending data to CATIA
CopyCatalogData = Sending data to CATIA
GetScriptForCatalog = Sending data to CATIA
GetOrigGeoForCgr = Sending data to CATIA
ValidateArchive = Validating archive
UpdateCreateCatalog = Updating CATIA data
UpdateCreateAltRep = Creating Alternate Representation
CreateModON = Creating ModOn
Synchronize = Synchronizing CATIA data
GetBomTypes  = Sending information to CATIA
GetCatalogMasterIds =  Sending information to CATIA
GetArchiveInfo =  Sending information to CATIA

TcVariableNotSet=Teamcenter configuration variable {0} not set.

ModOnHostRevisionNotFound=Could not retrieve the ModOn Revision for {0}.

SynchronizeNotSuccessfull=The Synchronize Operation was not successful,\nplease review the InputData and try again. 